import 'package:flutter/material.dart';
import 'package:hx_components_flutter/hx_components.dart';
import 'package:hx_components_flutter/hx_utils.dart';

class HxInvisibleTextExposer extends StatelessWidget {
  final String title;
  final String? info;
  final Color titleColor;
  final Color contentColor;

  const HxInvisibleTextExposer({
    super.key,
    required this.title,
    this.info,
    this.titleColor = kcDarkGrey,
    this.contentColor = kcMainText,
  });

  const HxInvisibleTextExposer.inverted({
    super.key,
    required this.title,
    this.info,
    this.titleColor = kcMainText,
    this.contentColor = kcDarkGrey,
  });

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.only(left: 4),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          HxText(title, color: titleColor),
          HxText(info ?? ' -', color: contentColor),
        ],
      ),
    );
  }
}
